## aubio 0.4.0

=== wscript ===
#! /usr/bin/python
#
# waf build system, see http://code.google.com/p/waf/
#
# usage:
#     $ ./waf distclean configure build
#
# TODO
#  - doc: add doxygen
#  - tests: move to new unit test system

APPNAME = 'aubio'

# source VERSION
for l in open('VERSION').readlines(): exec (l.strip())

VERSION = '.'.join ([str(x) for x in [
    AUBIO_MAJOR_VERSION,
    AUBIO_MINOR_VERSION,
    AUBIO_PATCH_VERSION
    ]]) + AUBIO_VERSION_STATUS

LIB_VERSION = '.'.join ([str(x) for x in [
    LIBAUBIO_LT_CUR,
    LIBAUBIO_LT_REV,
    LIBAUBIO_LT_AGE]])

top = '.'
out = 'build'

def add_option_enable_disable(ctx, name, default = None,
        help_str = None, help_disable_str = None):
    if help_str == None:
        help_str = 'enable ' + name + ' support'
    if help_disable_str == None:
        help_disable_str = 'do not ' + help_str
    ctx.add_option('--enable-' + name, action = 'store_true',
            default = default,
            dest = 'enable_' + name.replace('-','_'),
            help = help_str)
    ctx.add_option('--disable-' + name, action = 'store_false',
            #default = default,
            dest = 'enable_' + name.replace('-','_'),
            help = help_disable_str )

def options(ctx):
    add_option_enable_disable(ctx, 'fftw3f', default = False,
            help_str = 'compile with fftw3f instead of ooura (recommended)',
            help_disable_str = 'do not compile with fftw3f')
    add_option_enable_disable(ctx, 'fftw3', default = False,
            help_str = 'compile with fftw3 instead of ooura',
            help_disable_str = 'do not compile with fftw3')
    add_option_enable_disable(ctx, 'complex', default = False,
            help_str ='compile with C99 complex',
            help_disable_str = 'do not use C99 complex (default)' )
    add_option_enable_disable(ctx, 'jack', default = None,
            help_str = 'compile with jack (auto)',
            help_disable_str = 'disable jack support')
    add_option_enable_disable(ctx, 'sndfile', default = None,
            help_str = 'compile with sndfile (auto)',
            help_disable_str = 'disable sndfile')
    add_option_enable_disable(ctx, 'avcodec', default = None,
            help_str = 'compile with libavcodec (auto)',
            help_disable_str = 'disable libavcodec')
    add_option_enable_disable(ctx, 'samplerate', default = None,
            help_str = 'compile with samplerate (auto)',
            help_disable_str = 'disable samplerate')
    add_option_enable_disable(ctx, 'memcpy', default = True,
            help_str = 'use memcpy hacks (default)',
            help_disable_str = 'do not use memcpy hacks')
    add_option_enable_disable(ctx, 'double', default = False,
            help_str = 'compile in double precision mode',
            help_disable_str = 'compile in single precision mode (default)')

    ctx.add_option('--with-target-platform', type='string',
            help='set target platform for cross-compilation', dest='target_platform')

    ctx.load('compiler_c')
    ctx.load('waf_unit_test')
    ctx.load('gnu_dirs')

def configure(ctx):
    from waflib import Options
    ctx.load('compiler_c')
    ctx.load('waf_unit_test')
    ctx.load('gnu_dirs')

    ctx.env.CFLAGS += ['-g', '-Wall', '-Wextra']

    target_platform = Options.platform
    if ctx.options.target_platform:
        target_platform = ctx.options.target_platform
    ctx.env['DEST_OS'] = target_platform

    if target_platform not in ['win32', 'win64']:
        ctx.env.CFLAGS += ['-fPIC']
    else:
        ctx.define('HAVE_WIN_HACKS', 1)
        ctx.env['cshlib_PATTERN'] = 'lib%s.dll'

    if target_platform == 'darwin':
        ctx.env.CFLAGS += ['-arch', 'i386', '-arch', 'x86_64']
        ctx.env.LINKFLAGS += ['-arch', 'i386', '-arch', 'x86_64']
        ctx.env.FRAMEWORK = ['CoreFoundation', 'AudioToolbox', 'Accelerate']
        ctx.define('HAVE_ACCELERATE', 1)

    if target_platform in [ 'ios', 'iosimulator' ]:
        ctx.define('HAVE_ACCELERATE', 1)
        ctx.define('TARGET_OS_IPHONE', 1)
        ctx.env.FRAMEWORK = ['CoreFoundation', 'AudioToolbox', 'Accelerate']
        SDKVER="7.0"
        MINSDKVER="6.1"
        ctx.env.CFLAGS += ['-std=c99']
        if target_platform == 'ios':
            DEVROOT = "/Applications/Xcode.app/Contents"
            DEVROOT += "/Developer/Platforms/iPhoneOS.platform/Developer"
            SDKROOT = "%(DEVROOT)s/SDKs/iPhoneOS%(SDKVER)s.sdk" % locals()
            ctx.env.CFLAGS += [ '-arch', 'arm64' ]
            ctx.env.CFLAGS += [ '-arch', 'armv7' ]
            ctx.env.CFLAGS += [ '-arch', 'armv7s' ]
            ctx.env.LINKFLAGS += [ '-arch', 'arm64' ]
            ctx.env.LINKFLAGS += ['-arch', 'armv7']
            ctx.env.LINKFLAGS += ['-arch', 'armv7s']
            ctx.env.CFLAGS += [ '-miphoneos-version-min=' + MINSDKVER ]
            ctx.env.LINKFLAGS += [ '-miphoneos-version-min=' + MINSDKVER ]
        else:
            DEVROOT = "/Applications/Xcode.app/Contents"
            DEVROOT += "/Developer/Platforms/iPhoneSimulator.platform/Developer"
            SDKROOT = "%(DEVROOT)s/SDKs/iPhoneSimulator%(SDKVER)s.sdk" % locals()
            ctx.env.CFLAGS += [ '-arch', 'i386' ]
            ctx.env.CFLAGS += [ '-arch', 'x86_64' ]
            ctx.env.LINKFLAGS += ['-arch', 'i386']
            ctx.env.LINKFLAGS += ['-arch', 'x86_64']
            ctx.env.CFLAGS += [ '-mios-simulator-version-min=' + MINSDKVER ]
            ctx.env.LINKFLAGS += [ '-mios-simulator-version-min=' + MINSDKVER ]
        ctx.env.CFLAGS += [ '-isysroot' , SDKROOT]
        ctx.env.LINKFLAGS += [ '-isysroot' , SDKROOT]

    # check for required headers
    ctx.check(header_name='stdlib.h')
    ctx.check(header_name='stdio.h')
    ctx.check(header_name='math.h')
    ctx.check(header_name='string.h')
    ctx.check(header_name='limits.h')

    # check support for C99 __VA_ARGS__ macros
    check_c99_varargs = '''
#include <stdio.h>
#define AUBIO_ERR(...) fprintf(stderr, __VA_ARGS__)
'''

    if ctx.check_cc(fragment = check_c99_varargs,
            type='cstlib',
            msg = 'Checking for C99 __VA_ARGS__ macro'):
        ctx.define('HAVE_C99_VARARGS_MACROS', 1)

    # double precision mode
    if (ctx.options.enable_double == True):
        ctx.define('HAVE_AUBIO_DOUBLE', 1)
    else:
        ctx.define('HAVE_AUBIO_DOUBLE', 0)

    # optionally use complex.h
    if (ctx.options.enable_complex == True):
        ctx.check(header_name='complex.h')

    # check for fftw3
    if (ctx.options.enable_fftw3 != False or ctx.options.enable_fftw3f != False):
        # one of fftwf or fftw3f
        if (ctx.options.enable_fftw3f != False):
            ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
                    args = '--cflags --libs', mandatory = False)
            if (ctx.options.enable_double == True):
                ctx.msg('Warning', 'fftw3f enabled, but compiling in double precision!')
        else:
            # fftw3f not enabled, take most sensible one according to enable_double
            if (ctx.options.enable_double == True):
                ctx.check_cfg(package = 'fftw3', atleast_version = '3.0.0',
                        args = '--cflags --libs', mandatory = False)
            else:
                ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
                        args = '--cflags --libs', mandatory = False)
        ctx.define('HAVE_FFTW3', 1)

    # fftw not enabled, use vDSP or ooura
    if 'HAVE_FFTW3F' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'fftw3f')
    elif 'HAVE_FFTW3' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'fftw3')
    elif 'HAVE_ACCELERATE' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'vDSP')
    else:
        ctx.msg('Checking for FFT implementation', 'ooura')

    # check for libsndfile
    if (ctx.options.enable_sndfile != False):
        ctx.check_cfg(package = 'sndfile', atleast_version = '1.0.4',
                args = '--cflags --libs', mandatory = False)

    # check for libsamplerate
    if (ctx.options.enable_samplerate != False):
        ctx.check_cfg(package = 'samplerate', atleast_version = '0.0.15',
                args = '--cflags --libs', mandatory = False)

    # check for jack
    if (ctx.options.enable_jack != False):
        ctx.check_cfg(package = 'jack',
                args = '--cflags --libs', mandatory = False)

    # check for libav
    if (ctx.options.enable_avcodec != False):
        ctx.check_cfg(package = 'libavcodec', atleast_version = '54.35.0',
                args = '--cflags --libs', uselib_store = 'AVCODEC', mandatory = False)
        ctx.check_cfg(package = 'libavformat', atleast_version = '52.3.0',
                args = '--cflags --libs', uselib_store = 'AVFORMAT', mandatory = False)
        ctx.check_cfg(package = 'libavutil', atleast_version = '52.3.0',
                args = '--cflags --libs', uselib_store = 'AVUTIL', mandatory = False)
        ctx.check_cfg(package = 'libavresample', atleast_version = '1.0.1',
                args = '--cflags --libs', uselib_store = 'AVRESAMPLE', mandatory = False)
        if all ( 'HAVE_' + i in ctx.env.define_key
                for i in ['AVCODEC', 'AVFORMAT', 'AVUTIL', 'AVRESAMPLE'] ):
            ctx.define('HAVE_LIBAV', 1)
            ctx.msg('Checking for all libav libraries', 'yes')
        else:
            ctx.msg('Checking for all libav libraries', 'not found', color = 'YELLOW')

    # use memcpy hacks
    if (ctx.options.enable_memcpy == True):
        ctx.define('HAVE_MEMCPY_HACKS', 1)
    else:
        ctx.define('HAVE_MEMCPY_HACKS', 0)

    # write configuration header
    ctx.write_config_header('src/config.h')

    # add some defines used in examples
    ctx.define('AUBIO_PREFIX', ctx.env['PREFIX'])
    ctx.define('PACKAGE', APPNAME)

    # check if txt2man is installed, optional
    try:
      ctx.find_program('txt2man', var='TXT2MAN')
    except ctx.errors.ConfigurationError:
      ctx.to_log('txt2man was not found (ignoring)')

    # check if doxygen is installed, optional
    try:
      ctx.find_program('doxygen', var='DOXYGEN')
    except ctx.errors.ConfigurationError:
      ctx.to_log('doxygen was not found (ignoring)')

def build(bld):
    bld.env['VERSION'] = VERSION
    bld.env['LIB_VERSION'] = LIB_VERSION

    # add sub directories
    bld.recurse('src')
    if bld.env['DEST_OS'] not in ['ios', 'iosimulator']:
        pass
    if bld.env['DEST_OS'] not in ['ios', 'iosimulator', 'android']:
        bld.recurse('examples')
        bld.recurse('tests')

    bld( source = 'aubio.pc.in' )

    # build manpages from txt files using txt2man
    if bld.env['TXT2MAN']:
        from waflib import TaskGen
        if 'MANDIR' not in bld.env:
            bld.env['MANDIR'] = bld.env['PREFIX'] + '/share/man'
        rule_str = '${TXT2MAN} -t `basename ${TGT} | cut -f 1 -d . | tr a-z A-Z`'
        rule_str += ' -r ${PACKAGE}\\ ${VERSION} -P ${PACKAGE}'
        rule_str += ' -v ${PACKAGE}\\ User\\\'s\\ manual'
        rule_str += ' -s 1 ${SRC} > ${TGT}'
        TaskGen.declare_chain(
                name      = 'txt2man',
                rule      = rule_str,
                ext_in    = '.txt',
                ext_out   = '.1',
                reentrant = False,
                install_path =  '${MANDIR}/man1',
                )
        bld( source = bld.path.ant_glob('doc/*.txt') )

    # build documentation from source files using doxygen
    if bld.env['DOXYGEN']:
        bld( name = 'doxygen', rule = 'doxygen ${SRC} > /dev/null',
                source = 'doc/web.cfg',
                cwd = 'doc')
        bld.install_files( '${PREFIX}' + '/share/doc/libaubio-doc',
                bld.path.ant_glob('doc/web/html/**'),
                cwd = bld.path.find_dir ('doc/web'),
                relative_trick = True)

def shutdown(bld):
    from waflib import Logs
    if bld.options.target_platform in ['ios', 'iosimulator']:

=== debian/changelog ===
aubio (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge NMUs (closes: #619802, #553930, #625676), thanks Alessio
  * debian/watch: update
  * debian/copyright: update
  * debian/README.source: removed
  * debian/patches: removed obsolete patches
  * debian/aubio-tools.install: no more sounds
  * debian/aubio-tools.manpages: updated manpages location
  * debian/pycompat: remove obsolete file
  * debian/source/format: bump to 3.0 (quilt)
  * debian/libaubio2.*: moved to libaubio4
  * debian/clean: added
  * debian/libaubio-dev.docs: removed
  * debian/libaubio-dev.install: remove *.la
  * debian/python-aubio.install: move to dist-packages
  * debian/pd-aubio.install: removed
  * debian/docs: add README.md
  * debian/control: remove pd-aubio
  * debian/libaubio-doc.docs: remove obsolete files, update doxygen location
  * debian/compat: bump to 8
  * debian/rules: rewrite (closes: #730150)
  * debian/control: update Build-Depends, bump debhelper and Standards-Version
  * debian/control: remove XS-Python-Version
  * debian/control: add Homepage
  * debian/control: bump to libaubio4, replaces libaubio2
  * debian/control: remove a from start of short description
  * debian/control: use libfftw3-dev (closes: #582735)
  * debian/aubio-tools.install: install tools
  * debian/patches/local_mathjax: use local MathJax.js
  * debian/rules: use current python
  * debian/*.dirs: removed

 -- Paul Brossier <piem@debian.org>  Sun, 29 Dec 2013 14:47:16 -0400

aubio (0.3.2-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace puredata with puredata-dev in the Build-Depends field to fix
    FTBFS (Closes: #625676).

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 10:09:35 +0200

aubio (0.3.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-gold (Closes: #553930).
  * Conditionally enable ALSA depending on whether building on Linux;
    patch from Steven McDonald (Closes: #619802).
  * Explicitly set packaging format by putting '1.0' into the
    debian/source/format file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 29 Apr 2011 15:32:33 +0200

aubio (0.3.2-4) unstable; urgency=low

  * Fix building of architecture dependent packages
  * Do not compress search.js in libaubio-doc

 -- Paul Brossier <piem@debian.org>  Mon, 28 Sep 2009 13:34:53 +0200

aubio (0.3.2-3) unstable; urgency=low

  * debian/patches/01_numarray_gnuplot.diff: pull patch from bzr rev 690
    (closes: #478438, #512622)
  * debian/control: 
    - split Build-Depends on multiple lines
    - change B-D from puredata to pd (closes: #491965)
    - fix typo python Python
    - switch to python-numpy (see: #478438)
    - move libaubio-dev to libdevel
    - bump Standards-Version to 3.8.3
    - use ${binary:Version}, not ${Source-Version}
    - add ${shlibs:Depends}, ${misc:Depends} to libaubio-dev
    - add Build-Depends on quilt
    - switch to python-support
  * debian/rules: 
    - use tiny model
    - disable lash
    - tighten debhelper Build-Depends to (>= 7.0.50~)
    - move config.{sub,guess} updating to
      debian/patches/10_uptodate_configure.diff
  * debian/libaubio-dev.install: temporarly hack .la files until the
    libtool dependency traverser is being fixed (closes: #465057)
  * debian/aubio-tools.manpages: install all manpages
  * debian/libaubio-doc.doc-base: correct section Programming
  * debian/compat: bump to 7
  * debian/rules: move dh_installdeb before dh_makeshlibs

 -- Paul Brossier <piem@debian.org>  Mon, 28 Sep 2009 03:15:52 +0200

aubio (0.3.2-2) unstable; urgency=low

  * Update debian/copyright
  * Upload to unstable (closes: #383550)

 -- Paul Brossier <piem@debian.org>  Thu,  2 Nov 2006 19:36:41 +0100

aubio (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Tue, 31 Oct 2006 19:38:54 +0100

aubio (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Removed python2.3-aubio, moved to python-central

 -- Paul Brossier <piem@debian.org>  Tue, 27 Jun 2006 17:46:42 +0200

aubio (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Add package for PureData plugins

 -- Paul Brossier <piem@debian.org>  Fri, 19 May 2006 16:07:21 +0200

aubio (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Added -fPIC to swig python module python/aubio/Makefile.am
  * Added manpages for aubiocut, aubiopitch and aubiotrack
  * Splitted python-aubio and libaubio-doc packages

 -- Paul Brossier <piem@debian.org>  Tue, 27 Sep 2005 16:49:09 +0100

aubio (0.1.9beta5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Sun, 15 May 2005 16:20:03 +0100

aubio (0.1.8-1) unstable; urgency=low

  * New upstream release
  * Added docbook-to-man and puredata Build-Depends

 -- Paul Brossier <piem@altern.org>  Sun, 12 Dec 2004 00:01:32 +0000

aubio (0.1.6-1) unstable; urgency=low

  * New release
  * Added swig and python-dev Build-Depends

 -- Paul Brossier <piem@altern.org>  Sun, 26 Sep 2004 13:48:41 +0100

aubio (0.1.5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 23 Aug 2004 21:36:58 +0200

aubio (0.1.4-1) unstable; urgency=low

  * New upstream release
  * Simplifies install scripts

 -- Paul Brossier <piem@altern.org>  Wed, 23 Jun 2004 18:24:55 +0100

aubio (0.1.3alpha-2) unstable; urgency=low

  * Manually added missing headers in libaubio-dev
  * Added manpages for autio tools.
  * Fixed dependancies.

 -- Paul Brossier <piem@altern.org>  Wed,  5 May 2004 12:18:39 +0100

aubio (0.1.3alpha-1) unstable; urgency=low

  * Initial Release.

 -- Paul Brossier <piem@altern.org>  Tue, 27 Apr 2004 15:01:59 +0100

=== debian/control ===
Source: aubio
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libtool,
               libjack-dev,
               libavcodec-dev,
               libavformat-dev,
               libavresample-dev,
               libavutil-dev,
               libsndfile1-dev,
               libsamplerate-dev,
               libasound2-dev,
               libfftw3-dev,
               python | python-all | python-dev | python-all-dev,
               libpython2.7-dev,
               python-numpy
Build-Depends-Indep: doxygen,
                     txt2man,
                     libjs-jquery,
                     libjs-mathjax,
Standards-Version: 3.9.5
Homepage: http://aubio.org

Package: libaubio-dev
Section: libdevel
Architecture: any
Depends: libaubio4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package contains the development files for libaubio.

Package: libaubio4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libaubio2
Description: library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the shared library libaubio.

Package: aubio-tools
Section: sound
Architecture: any
Depends: python-aubio (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: library for audio segmentation -- utilities
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides command line tools to run the different algorithms.

Package: libaubio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
Description: library for audio segmentation -- documentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the documentation for the C interface.

Package: python-aubio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-numpy, python-gnuplot
Provides: ${python:Provides}
Replaces: python2.3-aubio 
Conflicts: python2.3-aubio 
XB-Python-Version: ${python:Versions}
Description: python interface for aubio, a library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the Python interface for the current Python version.

=== debian/watch ===
version=2
http://aubio.org/pub/ aubio-([0-9.]*)\.tar\.bz2

## aubio 0.4.1

=== wscript ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #! /usr/bin/python
 #
-# waf build system, see http://code.google.com/p/waf/
+# usage:
+#   $ python waf --help
 #
-# usage:
-#     $ ./waf distclean configure build
+# example:
+#   $ ./waf distclean configure build
 #
-# TODO
-#  - doc: add doxygen
-#  - tests: move to new unit test system
+# Note: aubio uses the waf build system, which relies on Python. Provided you
+# have Python installed, you do *not* need to install anything to build aubio.
+# For more info about waf, see http://code.google.com/p/waf/ .
 
 APPNAME = 'aubio'
 
@@ -85,12 +86,15 @@
     ctx.load('waf_unit_test')
     ctx.load('gnu_dirs')
 
-    ctx.env.CFLAGS += ['-g', '-Wall', '-Wextra']
-
     target_platform = Options.platform
     if ctx.options.target_platform:
         target_platform = ctx.options.target_platform
     ctx.env['DEST_OS'] = target_platform
+
+    if 'CL.exe' not in ctx.env.CC[0]:
+        ctx.env.CFLAGS += ['-g', '-Wall', '-Wextra']
+    else:
+        ctx.env.CFLAGS += ['-Wall']
 
     if target_platform not in ['win32', 'win64']:
         ctx.env.CFLAGS += ['-fPIC']
@@ -151,7 +155,8 @@
 
     if ctx.check_cc(fragment = check_c99_varargs,
             type='cstlib',
-            msg = 'Checking for C99 __VA_ARGS__ macro'):
+            msg = 'Checking for C99 __VA_ARGS__ macro',
+            mandatory = False):
         ctx.define('HAVE_C99_VARARGS_MACROS', 1)
 
     # double precision mode
@@ -223,6 +228,9 @@
             ctx.msg('Checking for all libav libraries', 'yes')
         else:
             ctx.msg('Checking for all libav libraries', 'not found', color = 'YELLOW')
+
+    ctx.define('HAVE_WAVREAD', 1)
+    ctx.define('HAVE_WAVWRITE', 1)
 
     # use memcpy hacks
     if (ctx.options.enable_memcpy == True):
@@ -287,11 +295,3 @@
         bld( name = 'doxygen', rule = 'doxygen ${SRC} > /dev/null',
                 source = 'doc/web.cfg',
                 cwd = 'doc')
-        bld.install_files( '${PREFIX}' + '/share/doc/libaubio-doc',
-                bld.path.ant_glob('doc/web/html/**'),
-                cwd = bld.path.find_dir ('doc/web'),
-                relative_trick = True)
-
-def shutdown(bld):
-    from waflib import Logs
-    if bld.options.target_platform in ['ios', 'iosimulator']:

=== debian/changelog ===
aubio (0.4.1-2build4) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:33:11 +0000

aubio (0.4.1-2build3) utopic; urgency=medium

  * Really rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 18:52:53 +0100

aubio (0.4.1-2build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 18:21:55 +0100

aubio (0.4.1-2build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 31 May 2014 21:49:01 -0400

aubio (0.4.1-2) unstable; urgency=medium

  * debian/control: always Build-Depends on txt2man to include manpages in
    binary only builds

 -- Paul Brossier <piem@debian.org>  Tue, 25 Mar 2014 17:25:42 -0300

aubio (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: simplify and update copyright
  * debian/control: add Vcs-Git and Vcs-Browser

 -- Paul Brossier <piem@debian.org>  Wed, 12 Mar 2014 00:27:21 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aubio
 Section: sound
 Priority: optional
-Maintainer: Paul Brossier <piem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                libtool,
                libjack-dev,
@@ -15,13 +16,15 @@
                libfftw3-dev,
                python | python-all | python-dev | python-all-dev,
                libpython2.7-dev,
-               python-numpy
+               python-numpy,
+               txt2man,
 Build-Depends-Indep: doxygen,
-                     txt2man,
                      libjs-jquery,
                      libjs-mathjax,
 Standards-Version: 3.9.5
 Homepage: http://aubio.org
+Vcs-Git: git://git.debian.org/collab-maint/aubio.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/aubio.git;a=summary
 
 Package: libaubio-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CFXXLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_HARDENING=1

WAF_OPTIONS = --verbose --prefix=/usr --destdir=debian/tmp --enable-fftw3f
WAF_CMD = ./waf --nocache

SETUPTOOLS_OPTIONS = --prefix=../debian/tmp/usr --install-layout=deb

%:
	dh $@ --with python2

override_dh_auto_clean:
	#$(WAF_CMD) distclean
	find waflib/ -name *.pyc -delete
	rm -rf build/ .lock-waf*
	rm -rf python/build/ python/gen/ python/lib/*.pyc
	rm -rf debian/tmp
	rm -rf doc/web/
	rm -rf manpages.refs manpages.links

override_dh_auto_configure:
	$(WAF_CMD) configure $(WAF_OPTIONS)

override_dh_auto_build-arch:
	$(WAF_CMD) build $(WAF_OPTIONS)
	cd python; python setup.py --verbose build; cd ..

override_dh_auto_build-indep:
	ln -sf /usr/share/javascript/jquery/jquery.js doc/web/html/jquery.js

override_dh_auto_install:
	$(WAF_CMD) install $(WAF_OPTIONS)
	cd python; python setup.py --verbose install $(SETUPTOOLS_OPTIONS); cd ..
	# call dh_numpy to add dependency on numpy abi
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
